Get a human-readable, LLM-based user operation summary
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/operations/{operation_hash_param}/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/operations/{operation_hash_param}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/operations/{operation_hash_param}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"summaries": [
{
"summary_template": "<string>",
"summary_template_variables": {}
}
]
},
"success": true
}{
"message": "Resource not found"
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"message": "Feature not implemented"
}account-abstraction
Get a human-readable, LLM-based user operation summary
Retrieves a human-readable summary of what a user operation did, presented in natural language.
GET
/
{chain_id}
/
api
/
v2
/
proxy
/
account-abstraction
/
operations
/
{operation_hash_param}
/
summary
Get a human-readable, LLM-based user operation summary
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
User operation hash in the path
Pattern:
^0x([A-Fa-f0-9]{64})$The ID of the blockchain
Query Parameters
If true, returns only the request body in the summary endpoint
Was this page helpful?
⌘I